<?php

//////////////////////////////////////////////////////////////
//===========================================================
// editinvoice_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function editinvoice_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $done, $users, $invoice;

softheader($l['<title>']);

echo '
<div class="bg">

<div class="row mx-auto my-3">
	<div class="col-12">
		<h4 class="text-dark"><i class="fas fa-file-invoice"></i> '.$l['_head'].'</h4>
	</div>
	</div>';

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
	//echo '<div class="notice"><img src="'.$theme['images'].'notice.gif" /> &nbsp; '..'</div>';
}

echo '<div id="form-container">
<form accept-charset="'.$globals['charset'].'" name="editinvoice" method="post" action="" class="form-horizontal">
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['select_user'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_select_user'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
			<select class="custom-select" name="uid" id="uid">
			<option value="" '.(POSTval('uid') == "" ? 'selected="selected"' : '').'>'.$l['select_user'].'</option>';	
			foreach($users as $k => $v){		 
				echo '<option value="'.$k.'" '.POSTselect('uid', $k, $k == $invoice['uid']).'>'.$v['email'].'</option>';
			}
	
		echo '</select>
		</div>
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['invodate'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_invodate'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
			
			<div class="input-group ">
			<input type="text" class="form-control" placeholder="DD/MM/YYYY" name="invodate" id="invodate" size="30" value="'.POSTval('invodate', datetime($invoice['invodate'])).'"  />
			<div class="input-group-append">
			<a class="btn blue_btn" onclick="$_(\'invodate\').value=\''.datify(time(), 0, 1, 'd/m/Y').'\'" tooltip="'.$l['current_day'].'" /><i class="fas fa-calendar-week"></i></a>
			</div>
		</div>
	</div>
</div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['duedate'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_duedate'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" placeholder="DD/MM/YYYY" name="duedate" id="duedate" size="30" value="'.POSTval('duedate', datetime($invoice['duedate'])).'"  />
		</div>
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['paydate'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_paydate'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" placeholder="DD/MM/YYYY" name="paydate" id="paydate" size="30" value="'.POSTval('paydate', datetime($invoice['paydate'])).'"  />
		</div>
	</div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['item'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_item'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="item" id="item" value="'.POSTval('item', $invoice['item']).'"  />
		</div>
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['item_desc'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_item_desc'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="item_desc" id="item_desc" value="'.POSTval('item_desc', $invoice['item_desc']).'"  />
		</div>
	</div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['amt'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_amt'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="number" class="form-control" name="amt" id="amt" value="'.POSTval('amt', $invoice['amt']).'" onchange="calc_net()"  />
		</div>
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['disc'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_disc'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="disc" id="disc" value="'.POSTval('disc', $invoice['disc']).'" onchange="calc_net()"  />
		</div>
	</div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['net'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_net'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" disabled="disabled" class="form-control" name="net" id="net" value="" />
		</div>
		<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['token'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_token'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="token" id="token" value="'.POSTval('token', $invoice['token']).'" />
		</div>
	</div>	
</div>

<br /><br />
<center><input type="submit" class="go_btn" name="editinvoice" value="'.$l['submit'].'"></center>

</form>

<script language="javascript" type="text/javascript">
function calc_net(){
	var amt = parseFloat($_("amt").value);
	var disc = parseFloat($_("disc").value);
	if(amt > 0){
		$_("net").value = amt - (disc > 0 ? disc : 0);
	}
};

calc_net();
</script>
</div>
</div>
';


softfooter();

}


