<?php

//////////////////////////////////////////////////////////////
//===========================================================
// servers_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function servers_theme(){

global $theme, $globals, $kernel, $user, $l, $cluster, $servers, $servs, $error, $done, $force_delete, $servergroups, $distros, $remove_ha, $delete;

softheader($l['<title>']);

echo '
<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-10">
		<h4 class="text-dark"><i class="icon icon-servers"></i> '.$l['page_head'].'</h4>
	</div>
	<div class="col-2 text-right">
		<span class="search_btn"><a href="javascript:showsearch();"><i class="fas fa-search text-dark"></i></a></span>
	</div>
</div>
';

error_handle($error);


if(!empty($done)){
	show_alert($l['done']);
}

if(!empty($force_delete) && empty($done)){
	echo '<div class="notice"><a href="'.$globals['ind'].'act=servers&force='.$force_delete.'&remove_ha='.(!empty($remove_ha) ? '1' : 0).'"><span class="text-center">'.$l['force_unslave'].'</span></a><br> <span class="text-center">'.$l['ha_force_unslave_warn'].'</span></div>';
	return;
}

if(!empty($remove_ha) && empty($done)){
	$link = $globals['ind'].'act=servers&delete='.$delete.'&remove_ha=';
	echo '<div class="notice"><span class="text-center">'.$l['ha_remove_warning'].'</span><center><input type="button" value="'.$l['yes'].'" class="link_btn" onclick="window.location =\''.$link.'1\';">&nbsp;&nbsp;<input type="button" value="'.$l['no'].'" class="link_btn" onclick="window.location =\''.$link.'0\';"></center></div>';
	return;
}
	
echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function mouse_over(el){
	el.className = "server_over";
	el.onmouseout = function(){el.className="";}
};

function conf_del(id){
	showalert("'.$l['conf_del'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			window.location.href="'.$globals['ind'].'act=servers&delete="+id;
		}
	});
};

function lockServer(serid ,ele){

	serid = serid || 0;
	
	// List of server ids to lock
	var server_list = new Array();
	
		
	if($(ele).parent().prev().find("select").val() == 0){
		showalert("'.$l['no_action'].'","1");
		return false;
	}
	
	$(".ios:checked").each(function() {
		server_list.push($(this).val());
	});
	
	if(server_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	
	var action = $(ele).parent().prev().find("select").val();
	var l = Array();
	l["lock_lang"] = "'.$l['lock_conf'].'";
	l["unlock_lang"] = "'.$l['unlock_conf'].'";
	
	showalert(l[action+"_lang"] ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			var finalData = new Object();
	
			finalData[action] = server_list.join(",");

			//alert(JSON.stringify(finalData));
			//return false;
			
			$("#progress_bar").show();
			
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=servers&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("done" in data){
						setTimeout(function(){showalert("'.$l['action_completed'].'");
						$("#alert-modal").on("hidden.bs.modal", function (e) {
							location.reload(true);
						})} ,200);
					}
				},
				error: function(data) {
					$("#progress_bar").hide();
					//alert(data.description);
					return false;
				}
			});
		}
	});

	return false;
};

// ]]></script>

<div id="showsearch" class="mt-4" style="display:'.(optREQ('search') || (!empty($servs) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="servers" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="servers">
		
<div class="form-group_head">
	<div class="row mx-auto w-100">
		<div class="col-sm-4"><label>'.$l['sbyservername'].'</label><input type="text" class="form-control" name="servername" id="servername" size="30" value="'.REQval('servername', '').'" /></div>
		<div class="col-sm-4"><label>'.$l['sbyserverip'].'</label><input type="text" class="form-control" name="serverip" id="serverip" size="30" value="'.REQval('serverip','').'"/></div>
		<div class="col-sm-4"><label>'.$l['sbyservertype'].'</label>
			<select name="ptype" class="form-control virt-select">
				<option value="">All</option>
				<option value="openvz" '.REQselect('ptype', 'openvz').'>Openvz</option>
				<option value="xen" '.REQselect('ptype', 'xen').'>Xen</option>
				<option value="kvm" '.REQselect('ptype', 'kvm').'>KVM</option>
				<option value="xcp" '.REQselect('ptype', 'xcp').'>XCP</option>
				<option value="lxc" '.REQselect('ptype', 'lxc').'>LXC</option>
				<option value="vzo" '.REQselect('ptype', 'vzo').'>Virtuozzo Openvz</option>
				<option value="vzk" '.REQselect('ptype', 'vzk').'>Virtuozzo KVM</option>
				<option value="proxk" '.REQselect('ptype', 'proxk').'>Proxmox KVM</option>
				<option value="proxl" '.REQselect('ptype', 'proxl').'>Proxmox LXC</option>
				<option value="proxo" '.REQselect('ptype', 'proxo').'>Proxmox OpenVZ</option>
				<!--<option value="vmware" '.REQselect('ptype', 'vmware').'>VMWARE ESXi</option>-->
			</select>
		</div>
		
	</div>
	<div class="row mx-auto w-100 my-2">
		<div class="col-sm-12 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['submit'].'</button></div>
	</div>
</div>
</form>

</div>';

if(!empty($saved)){
	show_alert($l['done']);
	echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['done'].'</div>';
}

if(empty($servs)){
	show_alert($l['no_res'],"2");
	echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['no_res'].'</div>';
}else{
	echo'<div class="row mx-auto w-100 mt-3">
		<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
			page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo'
		</div>
		<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
			<div class="bottom-menu float-right w-100">
				<div class="row my-auto">
					<div class="p-0">
						<label>'.$l['with_selected'].'</label>
					</div>
					<div class="col p-0">
						<select name="server_task_select" id="server_task_select" class="custom-select">
							<option value="0">---</option>
							<option value="lock">'.$l['ms_lock'].'</option>
							<option value="unlock">'.$l['ms_unlock'].'</option>
						</select>
					</div>
					<div class="pl-2">
						<input type="submit" id ="server_submit" class="go_btn" name="server_submit" value="'.$l['go'].'" onclick="lockServer(0 ,this); return false;">
					</div>
				</div>
			</div>
		</div>
	</div>
<form accept-charset="'.$globals['charset'].'" name="multi_server" id="multi_server" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
<table class="table table-hover tablesorter ">
	<tr>
		<th class="min_width">'.$l['server_id'].'</th>
		<th  class="min_width">'.$l['server_type'].'</th>
		<th  class="min_width">'.$l['os'].'</th>
		<th>'.$l['server_name'].'</th>
		<th>'.$l['server_ip'].'</th>
		<th>'.$l['server_ram'].'</th>
		<th  class="min_width">'.$l['server_vps'].'</th>
		<th width="11%;">'.$l['expires_on'].'</th>
		<th class="w-auto">'.$l['version'].'</th>
		<th>'.$l['server_group'].'</th>
		<th colspan="3" class="min_width">'.$l['manage'].'</th>
		<th class="z-index-1 min_width">
			'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
		</th>		
	</tr>';		
			
	$i = 1;

	foreach($servs as $k => $v){
		
		if(preg_match('/CentOS/is', $v['os'])){
			$servers_ditro = 'centos';
		}elseif(preg_match('/ubuntu/is', $v['os'])){
			$servers_ditro = 'ubuntu';
		}elseif(preg_match('/vmware/is', $v['os'])){
			$servers_ditro = 'vmware';
		}else{
			$servers_ditro = 'others';
		}
		
		echo '<tr>
		<td >'.$v['serid'].'</td>
		<td ><img src="'.$theme['images'].'admin/'.$v['virt'].'_server.gif" width="25px" /></td>
		<td ><img src="'.distro_logo($servers_ditro).'" title="'.$v['os'].'" width="25px"/></td>
		<td >'.$v['server_name'];
		if(!empty($servs[$k]['locked'])){
			echo ' &nbsp;<i class="fas fa-lock"></i>';
		}
		echo '</td> 
		<td >'.$v['ip'].'</td>
		<td >'.(!empty($v['alloc_ram']) ? $v['alloc_ram'] : '0').' MB / '.$v['total_ram'].' MB</td>
		<td >'.(!empty($v['numvps']) ? $v['numvps'] : '0').'</td>
		<td >'.$v['lic_expires'].'</td>
		<td >'.$v['version'].' ('.$v['patch'].')</td>
		<td >'.$servergroups[$v['sgid']]['sg_name'].'</td>
		<td width="30" align="center"><a href="'.$globals['ind'].'act=manageserver&changeserid='.$k.'"><i class="fas fa-tools h6 m-0 text-info"></i></a></td>
		<td width="30" align="center"><a href="'.$globals['ind'].'act=editserver&serid='.$k.'"><i class="fas fa-edit text-warning"></i></a></td>
		<td width="30" align="center">';
		
		if(!empty($k)){
			echo '<a href="javascript:void(0)" onclick="conf_del(\''.$k.'\');"><i class="fas fa-trash text-danger"></i></a>';			
		}else{
			echo '&nbsp;';
		}
		echo '</td>
			<td width="20" valign="middle" align="center">
				'.get_checkbox('servers_list[]', '', '', array('chk_it' => 0), $v['serid']).'
			</td>
		</tr>';
		$i++;
	}
	
	echo '</table>
	</div>';
	echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select name="server_task_select" id="server_task_select" class="custom-select">
						<option value="0">---</option>
						<option value="lock">'.$l['ms_lock'].'</option>
						<option value="unlock">'.$l['ms_unlock'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="server_submit" class="go_btn" name="server_submit" value="'.$l['go'].'" onclick="lockServer(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
</form>

<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>';

}
echo '<br>
<center><input type="button" value="'.$l['add_server'].'" class="link_btn" onclick="window.location =\''.$globals['ind'].'act=addserver\';"></center></div>';

softfooter();

}

?>