<?php

//////////////////////////////////////////////////////////////
//===========================================================
// services_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function services_theme(){

global $theme, $globals, $cluster, $user, $l, $services, $autostart, $running;

softheader($l['<title>']);

echo '<script type="text/javascript">

function multi_action(n) {
	var op = $("#multi_options_"+n).val();
	if(op == "0"){
		showalert("No action selected !" ,"1");
	}else{
		var conf_lang = new Array();
		conf_lang["start"] = "'.$l['conf_start'].'";
		conf_lang["stop"] = "'.$l['conf_stop'].'";
		conf_lang["restart"] = "'.$l['conf_restart'].'";	
		showalert(conf_lang[op] ,"3" ,function(confirm){
			if(confirm != true){
				return false;
			}else{
				$("#action").val(op);
				$("form#services").submit();
			}
		});
	}
}

</script>';

echo '
<div class="bg">
<div class="row mx-auto my-2">
<div class="col-10">
<h4 class="text-dark"><i class="fas fa-cogs"></i> '.$l['<title>'].'</h4>
</div>
<div class="col-2 text-right">
<span><a href="'.$globals['docs'].'services/" target="_blank" tooltip="'.$l['wiki_help'].'"><i class="icon-help text-dark" ></i></a></span>
</div>
</div>
';
	
// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){
	show_alert($l['server_status_'.$hypervisor_status] ,"1");
	echo '<div class="e_notice"><b>NOTE : </b>&nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
	
}elseif(empty($services)){
	show_alert($l['cant_load'] ,"2");
	echo '<div class="notice"><b>NOTE : </b>&nbsp; '.$l['cant_load'].'</div>';

}else{

echo '<form accept-charset="'.$globals['charset'].'" id="services" name="services" method="post" action="" class="form-horizontal">

	<input type="hidden" id="action" name="action" value="0" />
	';
	echo'<div class="row mx-auto w-100 mt-3">
		<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
			page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo'
		</div>
		<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
			<div class="bottom-menu float-right w-100">
				<div class="row my-auto">
					<div class="p-0">
						<label>'.$l['with_selected'].'</label>
					</div>
					<div class="col p-0">
						<select id="multi_options_1" class="custom-select">
							<option value="0">---</option>
							<option value="start">'.$l['sstart'].'</option>
							<option value="stop">'.$l['sstop'].'</option>
							<option value="restart">'.$l['srestart'].'</option>
						</select>
					</div>
					<div class="pl-2">
						<input type="button" value="'.$l['go'].'" onclick="multi_action(1)" class="go_btn"/>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="w-100 mx-auto sticky">
	<table class="table table-hover tablesorter">
		<tr>
			<th align="center">'.$l['<title>'].'</th>
			<th align="center">'.$l['status'].'</th>
			<th align="center">'.$l['autostart'].'</th>
			<th class="z-index-1 min_width" align="center">
				'.get_checkbox('select_all', '', 'select_all', array('chk_it' => 0), '', 'select_all').'
			</th>
		</tr>';
		
	foreach($services as $k=>$v){
		echo '<tr>
			<td>'.$v.'</td>		
			<td align="center">'.(in_array($v, $running) ? '&nbsp;&nbsp;'.$l['statrun'].'': '&nbsp;&nbsp;'.$l['statoff'].'').'</td>
			<td align="center">'.(in_array($v, $autostart) ? '&nbsp;&nbsp;'.$l['staton'].'' : '&nbsp;&nbsp;'.$l['statoff'].'').'</td>
			<td align="center">
				'.get_checkbox('sel_serv[]', '', '', array('chk_it' => 0), $v).'
			</td>
		</tr>';
	}
	
	echo'</table>
	</div>';
	echo'<div class="row mx-auto w-100 mt-3">
		<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
			page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo'
		</div>
		<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
			<div class="bottom-menu float-right w-100">
				<div class="row my-auto">
					<div class="p-0">
						<label>'.$l['with_selected'].'</label>
					</div>
					<div class="col p-0">
						<select id="multi_options_2" class="custom-select">
							<option value="0">---</option>
							<option value="start">'.$l['sstart'].'</option>
							<option value="stop">'.$l['sstop'].'</option>
							<option value="restart">'.$l['srestart'].'</option>
						</select>
					</div>
					<div class="pl-2">
						<input type="button" value="'.$l['go'].'" onclick="multi_action(2)" class="go_btn"/>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	</form>
	<br/><br/>
	';
	
}

echo '</div>';
softfooter();

}

?>