<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addserver_lang.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

$l['cant_migrate'] = 'Migration / Cloning Error';
$l['cant_migrate_exp'] = 'Slave servers are not allowed to Migrate / Clone VPS. Please do it from the Master';
$l['cant_migrate_openvz'] = 'Migration is not available for OpenVZ';
$l['no_ip'] = 'The IP Address was not specified!';
$l['no_pass'] = 'The Password Key Address was not specified!';
$l['details_err'] = 'Could not connect to the server. Please make sure the IP and Server Password are correct';
$l['no_vps'] = 'NO VPS were found on the server from where you want to migrate a VPS !';
$l['same_server'] = 'The From and To servers cannot be the same !';
$l['no_vpsid'] = 'The submitted VPS is invalid';
$l['err_saving_users'] = 'There was an error while saving the Users Details of the slave';
$l['err_saving_vps'] = 'There was an error while saving the VPS details of the slave';
$l['err_saving_ippool'] = 'There was an error while saving the IP Pools of the slave';
$l['err_saving_ips'] = 'There was an error while saving the IPs of the slave';
$l['err_save_slave'] = 'There was an error in saving the Data on the Slave';
$l['wrong_virt'] = 'The servers must run the same Virtualization technology. e.g. a KVM VPS can be migrated to another KVM node only';
$l['wrong_vpsid'] = 'Can not fetch the progress data. Wrong VPSID posted.';
$l['inv_from_server'] = 'The <b>From Server</b> is invalid.';
$l['inv_to_server'] = 'The <b>To Server</b> is invalid.';
$l['valid_mip'] = 'Please select the valid IP Address';
$l['migrate_ram_error'] = 'Destination Server does not have enough RAM';
$l['not_supported'] = 'This feature is not supported in ';
$l['proxmox_not_supported'] = 'Migration is not supported for Proxmox';
$l['ip_cant_preserver'] = 'The following IP(s) are not shared between the destination and source server and hence can not be preserved ';
$l['less_space'] = 'The storage on the destination server does not have enough space: Selected VPS disk size is {{vps_disk_space}} GB, Free Space left on selected destination Storage is {{dest_disk_space}} GB';
$l['type_missmatch'] = 'The Storage type chosen does not match with the destination storage';
$l['no_storage_on_dest'] = 'The Storage chosen does not exist on the destination server';
$l['no_storage'] = 'Please chose the storage for migration';
$l['storage_missmatch'] = 'The Storage type of the Primary storage on the destination server does not match with the VPS Storage type';
$l['disk_create_err'] = 'Could not create VPS disk(s) on the Destination server';
$l['no_suitable_storage'] = 'No suitable storage with enough space found on destination server for selected VPS';
$l['invalid_vps_disk_count'] = 'Selected disk count does not match with the VPS Disk count, selected: {{selected}}, expected: {{expected}}';
$l['invalid_dest_disk_format'] = 'Selected destination storage format does not match with the VPS disk format: VPS disk format : {{vps_format}}, chosen destination Server storage format : {{dest_format}}';
$l['no_storage_dest_vps_disk'] = 'No suitable storage with enough space found on destination server for the VPS disk : [disk number] {{disk_num}}, [VPS ID] {{vpsid}}';
$l['no_storage_select'] = 'Selected VPS virtualization does not support storage selection, hence the destination servers primary storage will be used';
$l['inv_act'] = 'Invalid act selected';
$l['no_ipv4'] = 'Insufficient number of Ipv4 addresses on the destination server';
$l['no_internal'] = 'Insufficient number of Internal IP addresses on the destination server';
$l['no_ipv6'] = 'Insufficient number of Ipv6 addresses on the destination server';
$l['no_ipv6_sub'] = 'Insufficient number of Ipv6 subnets on the destination server';
$l['from_server_version_mismatch'] = 'Source server version (&soft-1;) must be same as Master server version (&soft-2;). Please update the source server to avoid this error.';
$l['to_server_version_mismatch'] = 'Destination server version (&soft-1;) must be same as Master server version (&soft-2;). Please update the destination server to avoid this error.';
$l['err_create'] = 'There was an error in pre-creating the VPS on the Destination Node';
$l['mig_lic_error'] = 'You are migrating {{vm_count}} VM(s) but are allowed to create only {{allowed_vms}} VM(s) on destination server. Please upgrade the license of the destination server to migrate the VM(s).';

// Theme strings
$l['<mtitle>'] = 'Migrate Virtual Server';
$l['<ctitle>'] = 'Clone Virtual Server';
$l['from_server'] = 'From Server';
$l['from_server_exp'] = 'The source server <b>FROM</b> which VPS(s) is/are to be selected';
$l['enter_keys'] = 'Enter Server Details';
$l['from_ip'] = 'IP Address';
$l['from_ip_exp'] = 'The primary address of the server';
$l['from_pass'] = 'Server Password';
$l['from_pass_exp'] = 'The password for controlling the server';
$l['getvpslist'] = 'Get VPS List';
$l['to_server'] = 'To Server';
$l['to_server_exp'] = 'The <b>Desitnation</b> OR <b>Target</b> server for the VPS(s)';
$l['select_vps'] = 'Select VPS';
$l['select_vps_exp'] = 'Select the VPS you wish to perform action on';
$l['msub_but'] = 'Migrate VPS';
$l['csub_but'] = 'Clone VPS';
$l['mnote1'] = 'It is recommended that you save the VPS data before starting this process as Virtualizor will <b>power off</b> the VPS to do the transfer.';
$l['mnote2'] = 'This process may take some time depending on the VPS size and transfer rate.';
$l['mnote3'] = 'You can navigate away from this page and check the status on the <b><a href="'.$globals['index'].'act=tasks">Tasks page</a></b>.';
$l['mnote4'] = 'Now VPSID will remain same after successful migration. (i.e. New migrated VPS will get the OLD VPSID)';
$l['m_complete'] = 'Migration completed.';
$l['c_complete'] = 'Cloning completed.';
$l['m_percent'] = 'Percent';
$l['m_speed'] = 'Avg. Speed';
$l['m_ip'] = 'IP Address';
$l['m_ip_opt'] = 'Select the IPs';
$l['m_ip_exp'] = 'You can choose from the IP List';
$l['m_del_orig'] = 'Delete the Source VPS';
$l['m_del_orig_exp'] = 'Set this option to delete the source VM after successful Migration';
$l['preserve_ip'] = 'Preserve the same IP Address(s)';
$l['preserve_ip_exp'] = 'Set this option to use same IP Address(s) on the migrated VPS. The IP must belong to a common IP Pool between the source and destination servers. If not checked, IP(s) will be selected automatically.';
$l['select_server'] = 'Select Server';
$l['select_storage'] = 'Select Storage';
$l['type_missmatch'] = 'The Storage Types do not match';
$l['select_storage_exp'] = 'Select the Storage for the respective disk on the destination server.';
$l['lv_notcreated'] = 'Unable to create LV';
$l['fetchlv_failed'] = 'Not able to fetch the LV - fetchlv() failed';
$l['dump_failed'] = 'Could not dump OpenVZ VM to File';
$l['dest_dumpdel_failed'] = 'Unable to delete the dump from the destination';
$l['fetchdump_failed'] = 'Not able to fetch the Dump - fetchlv() failed';
$l['restoredump_failed'] = 'Unable to Restore the dump';
$l['src_dumpdel_failed'] = 'Unable to delete the dump from the source';
$l['mcompleted'] = 'Migration Completed';
$l['ccompleted'] = 'Cloning Completed';
$l['mig_task_not_found'] = 'No migration task found';
$l['mig_ssh_failed'] = 'Failed to connect to destination server. Please check the SSH Port in Slave setting of the Destination server.';
$l['mig_err_bg_exec'] = 'There was an error while executing the migration command in background.';
$l['malicious_symlink_found'] = 'Malicious symlink found inside the VPS.';
$l['migrate_data'] = 'Migrating Data';
$l['clone_data'] = 'Cloning Data';
$l['mig_checking'] = 'Checking parameters for Migration/Cloning';
$l['mig_checking_ssh'] = 'Checking server connectivity';
$l['mig_task_not_updated'] = 'Task is not updated since last 30 Minutes so there is some error.';
$l['mig_estimate_cur_size'] = 'Estimating the current size of the VPS for migration';
$l['mig_du_err'] = 'Could not determine the source VPS size.';
$l['mig_finalizing'] = 'Performing final operations.';
$l['migrate2'] = 'Migration';
$l['clone2'] = 'Cloning';
$l['mig_tar_error'] = 'Could not make the TAR of the Source VPS';
$l['migrate_start'] = 'Started Migration';
$l['mig_start'] = 'Started Migration';
$l['clone_start'] = 'Started Cloning';
$l['mig_couldnt_edit'] = 'There was an error while setting configuration';
$l['mig_couldnt_start'] = 'Could not start the VPS';
$l['speed_limit'] = 'Speed Limit for transfering VPS(s) data (in Mbps)';
$l['speed_limit_exp'] = 'If defined the transfer of the VPS(s) data to another server will be performed at the defined speed. default will be 100Mbps if not defined';
$l['not_updated_30_min'] = 'Task not updated on Master from last 30 minutes, so there is some error';
$l['no_throttle'] = 'Throttle utility is not installed on the source server. Please install it OR contact Virtualizor support team';
$l['no_gzip'] = 'Gzip utility is not installed on the source server. Please install it OR contact Virtualizor support team';
$l['lic_expired'] = 'The Virtualizor license for the following server has expired : ';
$l['auto_select_ip'] = 'Auto Select IPs';
$l['auto_select_ip_exp'] = 'If checked, IPs will be assigned automatically from the free IP list on first come first serve basis.';
$l['note_mig_started'] = 'Migration process has been started in the background, you can check the status on the <b><a href="'.$globals['index'].'act=tasks">Tasks page</a></b>.';
$l['note_mig_started'] = 'The requested process has been started for selected VM(s) and running in background, you can check the status on the <b><a href="'.$globals['index'].'act=tasks">Tasks page</a></b>.';
$l['mul_disk_not_allowed'] = 'Multiple disk is not supported for this Virtualization';
$l['server_time_diff'] = 'It seems that the source server time is not same as the Master Node. Please sync the time and try again.';
$l['num_free_ips'] = 'Free IPs on : ';
$l['ips'] = 'IPv4 IP(s)';
$l['ipv6'] = 'IPv6 IP(s)';
$l['ipv6_subnet'] = 'IPv6 Subnets';
$l['ips_int'] = 'Internal IPs';
$l['num_ips'] = 'Number of IPv4';
$l['num_ips_exp'] = 'Number of IPv4 to assign to the Migrated VPS';
$l['num_ipv6'] = 'Number of IPv6';
$l['num_ipv6_exp'] = 'Number of IPv6 to assign to the Migrated VPS';
$l['num_ipv6_subnet'] = 'Number of IPv6 Subnets';
$l['num_ipv6_subnet_exp'] = 'Number of IPv6 subnet to assign to the Migrated VPS';
$l['num_ips_int'] = 'Number of Internal IP(s)';
$l['num_ips_int_exp'] = 'Number of Internal IP(s) to assign to the Migrated VPS';
$l['ip_resources'] = 'VPS IP Resources';
$l['disable_gzip'] = 'Disable Compression';
$l['disable_gzip_exp'] = 'If checked, compression (i.e. gzip) will not be used during migration';
$l['virt_xcp'] = 'XCP';
$l['virt_proxo'] = 'Proxmox OpenVz';
$l['virt_proxk'] = 'Proxmox QEMU';
$l['virt_proxl'] = 'Proxmox LXC';
$l['virt_vzk'] = 'Virtuozzo KVM';
$l['virt_vzo'] = 'Virtuozzo OpenVZ';


// HAProxy Domain Forwarding Langs for Migrate / Clone
$l['m_ignore_if_vdfconflict'] = 'Ignore Domain Forwarding Conflict(s)';
$l['m_ignore_if_vdfconflict_exp'] = 'Ignore HAProxy VPS Domain Forwarding records if a conflict is found with records on the destination server';
$l['found_dest_haproxy_not_allowedports'] = 'Found ports which are not allowed on destination server: {{not_allowedports}}';
$l['found_dest_haproxy_reservedports'] = 'Found ports which are reserved on destination server: {{src_ports}}';
$l['found_dest_haproxy_reservedports_http'] = 'Found ports which are only reserved for HTTP or HTTPS but used for TCP: {{src_ports}}';
$l['vdf_errors'] = 'Domain Forwarding errors for VPS {{vps_name}} ({{hostname}}) :<br/>&nbsp;&nbsp;{{vdf_errors}}';
$l['vdf_conflicts'] = 'Found conflicts:<br>&nbsp;&nbsp;&nbsp;&nbsp;';
$l['conflict_src_ports'] = 'Source Ports: {{src_ports}}';
$l['conflict_src_hostnames'] = 'Source Domains/IP : {{src_hostnames}}';
$l['err_exist_src_hostname_and_port'] = 'Entry already exist on destination server for source domain ({{src_hostname}}) and source port ({{src_port}})';
$l['err_vdf_suggest'] = 'Found Domain Forwarding records conflict. Make necessary update to VPS Domain Forwarding records or select "Ignore Domain Forwarding" option to ignore Domain Forwarding records copying for this VPS and try again';

//HAProxy Domain Forwarding Admin Log and VPS Log
$l['domain_forwarder'] = 'Domain Forwarding';
$l['source'] = 'Source';
$l['destination'] = 'Destination';
$l['protocol'] = 'Protocol';
$l['migrated'] = 'Migrated';
$l['cb_failed'] = 'Callback Failed';
$l['task_pending'] = 'Pending';

?>