<?php

//////////////////////////////////////////////////////////////
//===========================================================
// editbackupserver_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function editbackupserver_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $done, $backup_server;

softheader($l['<title>']);

echo '

<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-12">
	  <h4 class="text-dark"><i class="icon icon-servers"></i> '.$l['edit_backupserver'].'</h4>
	</div>
</div>';

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

echo '<div id="form-container">

<form accept-charset="'.$globals['charset'].'" name="editbackupserver" method="post" action="" class="form-horizontal">

  <div class="row mx-auto w-100 my-3">
    <div class="col-sm-4">
		<label class="control-label">'.$l['name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_name'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
    </div>
    <div class="col-sm-4">
      <input type="text" class="form-control" name="name" id="name" size="30" value="'.POSTval('name', $backup_server['name']).'" />
    </div>
  </div>
  <div class="row mx-auto w-100 my-3">
    <div class="col-sm-4">
      <label class="control-label">'.$l['hostname'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_hostname'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
    </div>
    <div class="col-sm-4">
      <input type="text" class="form-control" name="hostname" id="hostname" size="30" value="'.POSTval('hostname', $backup_server['hostname']).'" />
    </div>
  </div>
  <div class="row mx-auto w-100 my-3">
    <div class="col-sm-4">
      <label class="control-label">'.$l['type'].'</label>
    </div>
    <div class="col-sm-4">
      <select class="custom-select" name="type" id="type">
			<option value="FTP" '.ex_POSTselect('type', "FTP", $backup_server['type']).'>FTP</option>
			<option value="SSH" '.ex_POSTselect('type', "SSH", $backup_server['type']).'>SSH</option>
      </select>
    </div>
  </div>
  <div class="row mx-auto w-100 my-3">
    <div class="col-sm-4">
      	<label class="control-label">'.$l['username'].'</label>
    </div>
    <div class="col-sm-4">
      <input type="text" class="form-control" name="username" id="username" size="30" value="'.POSTval('username', $backup_server['username']).'" />
    </div>
  </div>
  <div class="row mx-auto w-100 my-3">
    <div class="col-sm-4">
      <label class="control-label">'.$l['password'].'</label>
    </div>
    <div class="col-sm-4">
      <input type="password" class="form-control" name="password" id="password" size="30" value="'.POSTval('password').'" />
    </div>
  </div>
  <div class="row mx-auto w-100 my-3">
    <div class="col-sm-4">
      <label class="control-label">'.$l['port'].'</label>
    </div>
    <div class="col-sm-4">
      <input type="number" class="form-control" name="port" id="port" size="30" value="'.POSTval('port', $backup_server['port']).'" />
    </div>
  </div>
		
</div>

<br /><br />
<center><input type="submit" class="go_btn" name="editbackupserver" value="'.$l['submit'].'"></center>

</form>

</div>';

echo '</div>';
softfooter();

}

?>
